# Interface GeometryJsonBase

Base interface for all geometry types.

interface GeometryJsonBase {
spatialReference?: SpatialReferenceJson;
}

#### Hierarchy (view full)

- GeometryJsonBase
  - ExtentJson
  - PointJson
  - MultipointJson
  - PolylineJson
  - PolygonJson

#####
Index

### Properties

spatialReference?

##
Properties

### `Optional` spatialReference

spatialReference?: SpatialReferenceJson

The spatial reference can be defined using a well-known ID (WKID) or well-known text (WKT).